Subject: Re: bug#21862: Acknowledgement (24.5; Commit 35cd5181450 breaks nsterm.m on Mac OS X 10.6)

From: David Reitter <[email-masked]>
Date: Sat, 14 Nov 2015 15:23:50 -0500

On Nov 14, 2015, at 3:14 PM, Anders Lindgren <[email-masked]> wrote:

> David (R), if you think this is a good way to solve this, would you like to commit this patch, or would you prefer me to do it?

Yes, defining an extra windowDidBecomeKey function is prettier.
I think that’s okay to check in to master.  

For emacs-25, I think it’s good, too, as it is part of the original compile bug fix and reduces the chance of future problems rather than increasing it.  I defer to John Wiegley (cc’ed) regarding this.

Anders, I do think that the cleaner way would be to use notifications to run these functions, which might reduce extra calls.  However, that requires more testing that I was willing to do (on GNUStep too), because there’s potential for these methods getting called at a later point in time.

- David